# Barcelona

JanFernandoNolteCampos2021 edited this page on 28 September 2021 - 2 revisions

---

# **Barcelona**

---

**Images from Bcn cartoon**

1. Bcn
2. bcn
3. BARNA CITY

![bcn image](images/BCN.jpg)
